<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: Chapter 3: Understanding OpenVX graphs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="CH03_GRAPH">Chapter 3: Understanding OpenVX graphs </a></h1><p>In OpenVX, graph is the means by which computer vision functions are executed. These tutorials show how to create different types of graph and how to automate generation of graph application code.</p>
<table border="1" cellspacing="3" cellpadding="3">
<tr bgcolor="lightgrey">
<th><p>Tutorial file  </p>
</th><th><p>Purpose   </p>
</th></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__graph__image__gradients_8c.html">ch03_graph/vx_tutorial_graph_image_gradients.c</a>  </p>
</td><td><p>Graph with multiple targets   </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__graph__image__gradients__pytiovx_8c.html">ch03_graph/vx_tutorial_graph_image_gradients_pytiovx.c</a>  </p>
</td><td><p>Graph generated with PyTIOVX tool   </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__graph__user__kernel_8c.html">ch03_graph/vx_tutorial_graph_user_kernel.c</a>  </p>
</td><td><p>Graph with user kernels  </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__graph__user__kernel__pytiovx_8c.html">ch03_graph/vx_tutorial_graph_user_kernel_pytiovx.c</a>  </p>
</td><td><p>Graph with user kernels and generated with PyTIOVX tool   </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__graph__user__kernel_8c.html">ch03_graph/vx_tutorial_graph_user_kernel.c</a>  </p>
</td><td><p>Graph with target kernels   </p>
</td></tr>
<tr>
<td><p><a class="el" href="vx__tutorial__graph__user__kernel__pytiovx_8c.html">ch03_graph/vx_tutorial_graph_user_kernel_pytiovx.c</a>  </p>
</td><td><p>Graph with target kernels and generated with PyTIOVX tool   </p>
</td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
